cURL
curl --request POST \ --url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/envs/{env}/workforce \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "type": "<string>" } '
{ "id": "<string>", "name": "<string>", "path": "<string>", "type": "<string>", "uid": "<string>" }
Create a new workforce component (agent or workflow)
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Organization identifier
Project identifier
Environment id or branch name
Display name (e.g. "email-summary"). If omitted, a random name is generated.
Component type: "agent" or "workflow". Defaults to "agent".
Workforce component created
Response returned when a new workforce component is created.
Relative path in the worktree, e.g. "workforce/jolly-ferret"